---
title: CSSUnparsedValue.CSSUnparsedValue()
slug: Web/API/CSSUnparsedValue/CSSUnparsedValue
tags:
  - API
  - CSS Typed Object Model API
  - CSSUnparsedValue
  - Constructor
  - Experimental
  - Houdini
  - NeedsExample
  - Reference
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSUnparsedValue()</code></strong> constructor creates a new {{domxref("CSSUnparsedValue")}} object which represents property values that reference custom properties. </p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>CSSUnparsedValue</var> = new CSSUnparsedValue(members)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>members</dt>
 <dd>An array whose values must be either a {{domxref('USVString')}} or a {{domxref('CSSVariableReferenceValue')}}.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let value  = new CSSUnparsedValue( ['4deg'] ),
    values = new CSSUnparsedValue( ['1em', '#445566', '-45px'] );

console.log( value  ); // CSSUnparsedValue {0: "4deg", length: 1}
console.log( values ); // CSSUnparsedValue {0: "1em", 1: "#445566", 2: "-45px", length: 3}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssunparsedvalue','CSSUnparsedValue')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSUnparsedValue.CSSUnparsedValue")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref("CSSUnparsedValue.entries")}}</li>
 <li>{{domxref("CSSUnparsedValue.forEach")}}</li>
 <li>{{domxref("CSSUnparsedValue.keys")}}</li>
 <li>{{domxref("CSSUnparsedValue.length")}}</li>
 <li>{{domxref("CSSUnparsedValue.values")}}</li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
